## node-tilelive 4.1.1

=== Makefile ===
#
# Run all tests
#

expresso = ./node_modules/expresso/bin/expresso
docco = ./node_modules/docco/bin/docco

ifndef only
test:
	$(expresso) -I lib test/*.test.js
else
test:
	$(expresso) -I lib test/${only}.test.js
endif

doc:
	$(docco) lib/tilelive/*.js

.PHONY: test

=== debian/changelog ===
node-tilelive (4.1.1-1) unstable; urgency=low

  * Initial release

 -- David Paleino <dapal@debian.org>  Fri, 28 Oct 2011 17:06:26 +0200

=== debian/control ===
Source: node-tilelive
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/tilelive
Vcs-Git: git://git.debian.org/collab-maint/node-tilelive.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-tilelive.git;a=summary

Package: node-tilelive
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-generic-pool
 , node-optimist
 , node-step
 , node-sphericalmercator
 , node-underscore
 , node-mbtiles
 , node-tilejson
 , node-tilelive-mapnik
Description: frontend for various tile backends
 node-tilelive is an interface for tilestore modules for NodeJS. It defines an
 API to interact with implementations for a particular tile store.

## node-tilelive 4.2.1

=== Makefile ===
#
# Run all tests
#

docco = ./node_modules/docco/bin/docco

test:
	mocha -R spec

doc:
	$(docco) lib/tilelive/*.js

.PHONY: test

=== debian/changelog ===
node-tilelive (4.2.1-4) unstable; urgency=low

  * Migrate from node to nodejs (Closes: #686901)
  * Standards-Version bump to 3.9.4, no changes needed

 -- David Paleino <dapal@debian.org>  Thu, 20 Sep 2012 12:27:40 +0200

node-tilelive (4.2.1-3) unstable; urgency=low

  * Fix self-requirement: use 'tilelive' explicitely instead of '..'

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 01:03:44 +0200

node-tilelive (4.2.1-2) unstable; urgency=low

  * Install missing library files to /usr/lib/nodejs

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:53:52 +0200

node-tilelive (4.2.1-1) unstable; urgency=low

  * New upstream version
  * Install bin/copy as tilelive-copy
  * Updated debian/copyright
  * Standards-Version bump to 3.9.3, no changes needed
  * Bumped minimum required versions

 -- David Paleino <dapal@debian.org>  Sun, 08 Apr 2012 12:03:30 +0200

=== debian/control ===
Source: node-tilelive
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.4
Homepage: http://search.npmjs.org/#/tilelive
Vcs-Git: git://git.debian.org/collab-maint/node-tilelive.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-tilelive.git;a=summary

Package: node-tilelive
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 0.6.19~dfsg1-3~)
 , node-generic-pool (>= 1.0.9)
 , node-optimist (>= 0.3.1)
 , node-step (>= 0.0.5)
 , node-sphericalmercator (>= 1.0.1)
 , node-underscore (>= 1.3.1)
 , node-mbtiles (>= 0.2.0)
 , node-tilejson (>= 0.1.0)
 , node-tilelive-mapnik (>= 0.3.0)
Description: frontend for various tile backends
 node-tilelive is an interface for tilestore modules for NodeJS. It defines an
 API to interact with implementations for a particular tile store.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

	mv $(CURDIR)/debian/node-tilelive/usr/bin/copy \
		$(CURDIR)/debian/node-tilelive/usr/bin/tilelive-copy

override_dh_auto_build:
override_dh_auto_test:
	# do nothing

=== debian/watch ===
version=3
https://alioth.debian.org/~dapal/npmjs.php?id=tilelive \
	http://registry.npmjs.org/tilelive/-/tilelive-(\d+.*)\.tgz

## node-tilelive 4.5.0

=== Makefile ===
#
# Run all tests
#

docco = ./node_modules/docco/bin/docco

all:
	npm install

clean:
	rm -rf node_modules/*
	: TODO clean docs

test:
	./node_modules/mocha/bin/_mocha -R spec -t 10000

check: test

.PHONY: test

=== debian/changelog ===
node-tilelive (4.5.0-1) unstable; urgency=low

  * Upstream update
  * copyright:
    + examples/data/world_merc* updated upstream to CC-BY-SA 3.0
      license.
    + update Source field to github url
  * control:
    + remove unneeded dependencies, loosen nodejs version
    + Canonicalize Vcs fields
    + update Homepage field to guthub url
    + rewrite short and long descriptions
  * install examples
  * install tilelive-copy and its manpage
  * remove 01 patch, require paths match upstream needs

 -- Jérémy Lal <kapouer@melix.org>  Sat, 31 Aug 2013 17:57:45 +0200

=== debian/control ===
Source: node-tilelive
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
Standards-Version: 3.9.4
Homepage: https://github.com/mapbox/tilelive.js
Vcs-Git: git://anonscm.debian.org/collab-maint/node-tilelive.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-tilelive.git

Package: node-tilelive
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-optimist (>= 0.3.1)
 , node-sphericalmercator (>= 1.0.1)
Description: Interface for tile backends modules for Node.js
 node-tilelive defines an API for interacting with tile store modules,
 like node-mbtiles, tilelive-mapnik, tilelive-vector.
 The `tilelive` executable allows one to copy between tile stores.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_build:
override_dh_auto_test:
	# do nothing
